# Configurações

## Introdução

Este documento fornece detalhes sobre o arquivo de configuração da Loja de Roupas e Tatuagem, concentrando-se especialmente nas configurações contidas no arquivo `globalconfigs.lua`. O arquivo `globalconfigs.lua` pode ser localizado em `common/configs/globalconfigs.lua` dentro da estrutura de diretórios do script.

***

## Configurações Padrões

<details>

<summary>Configurações</summary>

<mark style="color:purple;">**token**</mark> `string`

Local onde você deverá inserir seu token de autorização

***

<mark style="color:purple;">**updater**</mark> `boolean`

Determina se o script pode executar atualizações automáticas.

***

Template cópia das configurações

{% code title="globalconfigs.lua" %}

```lua
cfg.token = "seu-token-aqui"
cfg.updater = true
```

{% endcode %}

</details>

### Loja de Roupas

<details>

<summary>Coordenadas e Caminho de Imagens</summary>

<pre class="language-lua" data-title="globalconfigs.lua"><code class="lang-lua">cfg.clothesPaths = "https://guardianstore.com.br/images/Clothes/"
cfg.locateShops = {
    { 71.66,-1398.46,29.38 },
    { -708.57,-160.34,37.42 },
    { -158.67,-296.99,39.74 },
    { 428.92,-799.94,29.5 },
    { -829.48,-1073.44,11.33 },
<strong>    { -1192.07,-771.59,17.33 },
</strong>    { -1456.77,-240.92,49.81 },
    { 11.83,6513.89,31.88 },
    { 1696.83,4829.46,42.07 },
    { 122.97,-221.51,54.56 },
    { 617.75,2761.7,42.09 },
    { 1190.47,2713.55,38.23 },
    { -3173.31,1046.1,20.87 },
    { -1108.26,2708.85,19.11 },
    { 105.66,-1303.04,28.8 },
    { 1101.26,197.48,-49.44 }
}
</code></pre>

</details>

<details>

<summary>Roupas Bloqueadas</summary>

<pre class="language-lua"><code class="lang-lua">cfg.blockedClothes = {
    ["hat"] = {
<strong>        [1] = { -- Bloqueio exclusivo para personagens femininos (mp_f_freemode_01).
</strong>    	    [`mp_f_freemode_01`] = true, 
        },
        [2] = { -- Bloqueio exclusivo para personagens masculinos (mp_m_freemode_01).
    	    [`mp_m_freemode_01`] = true, 
<strong>        },
</strong>        [3] = { -- Bloqueio para ambos os sexos, ou seja, nenhum dos modelos de personagens pode usar o "chapéu 1" (mp_m_freemode_01 e mp_f_freemode_01).
    	    [`mp_m_freemode_01`] = true, 
    	    [`mp_f_freemode_01`] = true
        }
    },
    ["vest"] = {
    
<strong>    },
</strong>    ["bag"] = {
    
    },
    ["decals"] = {

    },
    ["torso"] = {
    
    },
    ["mask"] = {
    
    },
<strong>    ["tshirt"] = {
</strong><strong>    
</strong><strong>    },
</strong>    ["bracelet"] = {
    
    },
    ["accessory"] = {
    
    },
    ["ear"] = {
    
    },
    ["glass"] = {
    
    },
    ["pants"] = {
    
    },
    ["watch"] = {
    
    },
    ["arms"] = {
    
<strong>    },
</strong>    ["shoes"] = {
    
    }
}
</code></pre>

</details>

***

### Loja de Tatuagens

<details>

<summary>Coordenadas e Caminho de Imagens</summary>

{% code title="globalconfigs.lua" %}

```lua
cfg.tattoPaths = "https://guardianstore.com.br/images/Tattoo/" -- Coloque o link base da pasta onde estão as imagens das tatuagens
cfg.coordsTatto = {
	{ 1322.93,-1652.29,52.27 },
	{ -1154.42,-1425.9,4.95 },
	{ 322.84,180.16,103.58 },
	{ -3169.62,1075.8,20.83 },
	{ 1864.07,3747.9,33.03 },
	{ -293.57,6199.85,31.48 }
}
```

{% endcode %}

</details>

<details>

<summary>Lista de Tatuagem</summary>

[**Download**](https://guardianstore.com.br/assets/tattos.zip) da lista de Tatuagem

</details>

<details>

<summary>Roupas setadas ao abrir a loja de Tatuagens</summary>

```lua
cfg.clothesTattoos = {
	["Male"] = {
		["accessory"] = { ["item"] = 0, ["texture"] = 0 },
		["watch"] = { ["item"] = -1, ["texture"] = -1 },
		["arms"] = { ["item"] = 15, ["texture"] = 0 },
		["bracelet"] = { ["item"] = -1, ["texture"] = -1 },
		["ear"] = { ["item"] = -1, ["texture"] = 0 },
		["glass"] = { ["item"] = 0, ["texture"] = 0 },
		["torso"] = { ["item"] = 15, ["texture"] = 0 },
		["hat"] = { ["item"] = -1, ["texture"] = -1 },
		["tshirt"] = { ["item"] = 15, ["texture"] = 0 },
		["pants"] = { ["item"] = 61, ["texture"] = 0 },
		["vest"] = { ["item"] = 0, ["texture"] = 0 },
		["bag"] = { ["item"] = 0, ["texture"] = 0 },
		["shoes"] = { ["item"] = 5, ["texture"] = 0 },
		["decals"] = { ["item"] = 0, ["texture"] = 0 },
		["mask"] = { ["item"] = 0, ["texture"] = 0 }, 
	},
	["Female"] = {
		["accessory"] = { ["item"] = 0, ["texture"] = 0 },
		["watch"] = { ["item"] = -1, ["texture"] = -1 },
		["arms"] = { ["item"] = 15, ["texture"] = 0 },
		["bracelet"] = { ["item"] = -1, ["texture"] = -1 },
		["ear"] = { ["item"] = -1, ["texture"] = -1 },
		["glass"] = { ["item"] = -1, ["texture"] = -1 },
		["torso"] = { ["item"] = 15, ["texture"] = 0 },
		["hat"] = { ["item"] = -1, ["texture"] = -1 },
		["tshirt"] = { ["item"] = 15, ["texture"] = 0 },
		["pants"] = { ["item"] = 15, ["texture"] = 0 },
		["vest"] = { ["item"] = 0, ["texture"] = 0 },
		["bag"] = { ["item"] = 0, ["texture"] = 0 },
		["shoes"] = { ["item"] = 5, ["texture"] = 0 },
		["decals"] = { ["item"] = 0, ["texture"] = 0 },
		["mask"] = { ["item"] = 0, ["texture"] = 0 },
	}
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.guardianstore.com.br/products/guardian-customization/configuracoes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
